export interface CashbackTypes {
    /**
     * 返现金额
     */
    amount: number;
    /**
     * 下注数量
     */
    bet: number;
    /**
     * 上一周期时间
     */
    last_period: LastPeriod;
    /**
     * 下一周期时间
     */
    next_period: NextPeriod;
    /**
     * 返现规则
     */
    rules: Rule[];
    /**
     * 领取状态: 进行中running、待领取pending、已领取received、已过期expired
     */
    status: string;
}

/**
 * 上一周期时间
 */
export interface LastPeriod {
    /**
     * 结束时间戳，单位秒
     */
    end_time: number;
    /**
     * 开始时间戳，单位秒
     */
    start_time: number;
}

/**
 * 下一周期时间
 */
export interface NextPeriod {
    /**
     * 结束时间戳，单位秒
     */
    end_time: number;
    /**
     * 开始时间戳，单位秒
     */
    start_time: number;
}

export interface Rule {
    /**
     * 下注金额
     */
    aposta: number;
    /**
     * 返现百分比
     */
    cashback: number;
    /**
     * 会员等级
     */
    level: number;
}
