import Box from "@/components/Box";
import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";
import { ReactNode } from "react";

export default async function Layout({
    children,
    params: { locale },
    cashbackInfo,
    // cashbackTable,
}: {
    children: ReactNode;
    params: { locale: string };
    cashbackInfo: ReactNode;
    // cashbackTable: ReactNode;
}) {
    const t = await getTranslations("cashback");
    return (
        <>
            <HeaderBack showBack={true} className={"bg-[#0d1933]"} title={t("cashbackTitle")} />
            <main className={"main-header bg-[#fff] text-[#000]"}>
                <Box>
                    {cashbackInfo}
                    {/*{cashbackTable}*/}
                    {children}
                </Box>
            </main>
        </>
    );
}
